Skip to content

Update a group

Request

OPA roles:
  • pam_admin

Updates the access privileges of the specified group. To assign the delegated_resource_admin role, you need to add the group to the delegated_resource_admin_groups list for a specific resource group. See Resource Groups.

Security
bearerAuth
Path
team_namestringrequired

The name of your team

group_namestringrequired

The name of a group

Bodyapplication/jsonrequired
rolesArray of strings(GroupUpdateRole)required

The roles assigned to the group

Items Enum:"end_user""pam_admin""resource_admin""security_admin"
curl -i -X PUT \
  'https://{org_name}.pam-okta.login.adsbillinghub.com/v1/teams/{team_name}/groups/{group_name}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "roles": [
      "pam_admin",
      "resource_admin"
    ]
  }'

Responses

No Content